# readyset-benchmarks

![Version: 0.0.1](https://img.shields.io/badge/Version-0.0.1-informational?style=flat-square) ![AppVersion: 0.0.1](https://img.shields.io/badge/AppVersion-0.0.1-informational?style=flat-square)

ReadySet benchmarking Helm chart

**Homepage:** <https://readyset.io/>

## Requirements

Kubernetes: `>=1.18.0-0`

## Values

| Key | Type | Default | Description |
|-----|------|---------|-------------|
| benchmark.runner.affinity | object | `{"nodeAffinity":{"requiredDuringSchedulingIgnoredDuringExecution":{"nodeSelectorTerms":[{"matchExpressions":[{"key":"readyset.io/worker","operator":"In","values":["benchmarks"]}]}]}},"podAntiAffinity":{"requiredDuringSchedulingIgnoredDuringExecution":[{"labelSelector":{"matchExpressions":[{"key":"app","operator":"In","values":["benchmarks"]}]},"topologyKey":"kubernetes.io/hostname"}]}}` | By default, we're requesting only 1 runner to run per EC2. |
| benchmark.runner.backoffLimit | int | `0` | Kubernetes job max retries |
| benchmark.runner.command | list | `["/usr/src/app/scripts/run-mysql-benchmark-ci.sh"]` | Command passed to entrypoint of benchmark runner container |
| benchmark.runner.entrypoint | string | `"/bin/bash"` | Entrypoint for benchmark runner container |
| benchmark.runner.env.INSTANCE_LABEL | string | `"${PROM_INSTANCE_LABEL}"` | Instance label to tag all Prometheus metrics with |
| benchmark.runner.env.PROMETHEUS_PUSH_GATEWAY | string | `"http://prom-pushgw-prometheus-pushgateway:9091"` | Prometheus push gateway host for benchmark metrics |
| benchmark.runner.env.PROMETHEUS_SERVER | string | `"http://prom-stack-kube-prometheus-prometheus:9090"` | Prometheus hostname for benchmark metrics |
| benchmark.runner.env.REPORT_JSON_ENABLED | string | `"enabled"` | Tells entrypoint script to serialize all results in a single json string at the end of tests |
| benchmark.runner.env.REPORT_SAVE_DIR | string | `"/tmp/benchmark-results"` | Location benchmark runner with save report files |
| benchmark.runner.env.SETUP_CONN_STR | string | `"mysql://root:root@mysql/test"` | Connection string pointing at RDS hostname |
| benchmark.runner.env.TARGET_CONN_STR | string | `""` | Connection string to adapter NLB |
| benchmark.runner.image | object | `{"repository":"305232526136.dkr.ecr.us-east-2.amazonaws.com/readyset-benchmarks","tag":"0.1.2"}` | Image configuration for benchmark runner |
| benchmark.runner.image.repository | string | `"305232526136.dkr.ecr.us-east-2.amazonaws.com/readyset-benchmarks"` | Benchmark repository |
| benchmark.runner.image.tag | string | `"0.1.2"` | Benchmark repo image tag |
| benchmark.runner.labels | object | `{"app":"benchmarks","buildNumber":1,"rdbms":"mysql"}` | Labels applied to any benchmark runner jobs |
| benchmark.runner.resources | object | `{"requests":{"cpu":"1500m","memory":"5000Mi"}}` | Resource controls for benchmark runner pods |
| benchmark.runner.restartPolicy | string | `"Never"` | Kubernetes job restart behavior for benchmark runners |
| benchmark.runner.tolerations | list | `[{"effect":"NoSchedule","key":"benchmarks","operator":"Exists"}]` | By default we only tolerate nodes designated for benchmarks. |
| global.imagePullPolicy | string | `"IfNotPresent"` |  |
| global.namespace | string | `"build"` |  |

----------------------------------------------
Autogenerated from chart metadata using [helm-docs v1.7.0](https://github.com/norwoodj/helm-docs/releases/v1.7.0)
